Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config_browser
Class ActionNamesAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          org.apache.struts2.config_browser.ActionNamesAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

Direct Known Subclasses:
  ShowBeansAction, ShowConfigAction, ShowConstantsAction, ShowJarsAction

    public class ActionNamesAction

extends com.opensymphony.xwork2.ActionSupport

ActionNamesAction

See Also:
  Serialized Form

Field Summary
`protected ConfigurationHelper` | `configHelper`

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`ActionNamesAction()`

Method Summary
`String` | `execute()`
`Set<String>` | `getActionNames()`
`com.opensymphony.xwork2.config.entities.ActionConfig` | `getConfig(String actionName)`
`String` | `getExtension()`
`String` | `getNamespace()`
`Set<String>` | `getNamespaces()`
`String` | `index()` Index action to support cooperation with REST plugin
`String` | `redirect()`
`void` | `setConfigurationHelper(ConfigurationHelper cfg)`
`void` | `setExtension(String ext)`
`void` | `setNamespace(String namespace)`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getFormatted, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configHelper

    protected ConfigurationHelper configHelper

Constructor Detail

### ActionNamesAction

    public ActionNamesAction()

Method Detail

### setConfigurationHelper

    public void setConfigurationHelper(ConfigurationHelper cfg)

### getActionNames

    public Set<String> getActionNames()

### getNamespace

    public String getNamespace()

### setNamespace

    public void setNamespace(String namespace)

### setExtension

    public void setExtension(String ext)

### getConfig

    public com.opensymphony.xwork2.config.entities.ActionConfig getConfig(String actionName)

### getNamespaces

    public Set<String> getNamespaces()

### getExtension

    public String getExtension()

### execute

    public String execute()
                   throws Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `com.opensymphony.xwork2.ActionSupport`
  Throws:
    `Exception`

### index

    public String index()
                 throws Exception

  Index action to support cooperation with REST plugin

  Returns:
    action result
  Throws:
    `Exception`

### redirect

    public String redirect()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.